org.apache.ignite.internal.processors.cache

## Class CacheJoinNodeDiscoveryData

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.CacheJoinNodeDiscoveryData

All Implemented Interfaces:
  Serializable

    public class CacheJoinNodeDiscoveryData
    extends Object
    implements Serializable

Information about configured caches sent from joining node.

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `CacheJoinNodeDiscoveryData.CacheInfo`

### Constructor Summary

Constructors
Constructor and Description
`CacheJoinNodeDiscoveryData(IgniteUuid cacheDeploymentId, Map<String,CacheJoinNodeDiscoveryData.CacheInfo> caches, Map<String,CacheJoinNodeDiscoveryData.CacheInfo> templates, boolean startCaches)`

### Method Summary

All Methods Instance Methods Concrete Methods
`IgniteUuid` `cacheDeploymentId()`
`Map<String,CacheJoinNodeDiscoveryData.CacheInfo>` `caches()`
`Map<String,CacheJoinNodeDiscoveryData.CacheInfo>` `templates()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CacheJoinNodeDiscoveryData

    public CacheJoinNodeDiscoveryData(IgniteUuid cacheDeploymentId,
                                      Map<String,CacheJoinNodeDiscoveryData.CacheInfo> caches,
                                      Map<String,CacheJoinNodeDiscoveryData.CacheInfo> templates,
                                      boolean startCaches)

Parameters:
  `cacheDeploymentId` - Deployment ID for started caches.
  `caches` - Caches.
  `templates` - Templates.
  `startCaches` - `True` if required to start all caches on joining node.

### Method Detail

#### cacheDeploymentId

    public IgniteUuid cacheDeploymentId()

Returns:
  Deployment ID assigned on joining node.

#### templates

    public Map<String,CacheJoinNodeDiscoveryData.CacheInfo> templates()

Returns:
  Templates configured on joining node.

#### caches

    public Map<String,CacheJoinNodeDiscoveryData.CacheInfo> caches()

Returns:
  Caches configured on joining node.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.5.0
Release Date | : May 23 2018